import request from "./request.js"


// 文章详情
export function details(data,id) {
	return request({
		url: '/api/Article/view?id='+id,
		method: 'get',
		data
	});
}

// 获取文章列表
export function getArticList(data,id,page,limit) {
	return request({
		url: '/api/Article/lst?ifyid='+id+'&page='+page+'&limit='+limit,
		method: 'get',
		data
	});
}

// 获取分类
export function getList(data,id) {
	return request({
		url: '/api/Article/ify?pid='+id,
		method: 'get',
		data
	});
}

// 爱心榜
export function getlaveList(data,page,limit) {
	return request({
		url: '/api/lave/lst&page='+page+'&limit='+limit,
		method: 'get',
		data
	});
}

// 志愿者
export function getvolunteerList(data) {
	return request({
		url: '/api/lave/lst',
		method: 'get',
		data
	});
}

// 搜索
export function getSearch(data,value,page,limit) {
	return request({
		url: '/api/Article/lst?ifyid=0&key='+value+'&page='+page+'&limit='+limit,
		method: 'get',
		data
	});
}
// 志愿者搜索
export function getvSearch(data,value,page,limit) {
	return request({
		url: '/api/Article/lst?ifyid=21&key='+value+'&page='+page+'&limit='+limit,
		method: 'get',
		data
	});
}